resource "proxmox_lxc" "omada" {
  target_node  = "pve"
  vmid         = "200"
  hostname     = "omada"
  ostemplate   = "local:vztmpl/debian-12-standard_12.7-1_amd64.tar.zst"
  password     = var.ci_password
  unprivileged = false
  ostype       = "debian"
  start        = true
  startup      = "order=1000"

  ssh_public_keys = <<EOF
    ${var.ssh_key}
    EOF

  memory = "4096"
  swap   = "512"

  rootfs {
    storage = "local-zfs"
    size    = "8G"
  }

  features {
    fuse    = true
    nesting = true
    mount   = "nfs;cifs"
  }

  network {
    name   = "eth0"
    bridge = "vmbr0"
    ip     = "10.10.40.2/24"
    gw     = "10.10.40.1"
    tag    = 40
  }
}
